> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Data Type

> The Data type is the structure of data fields that is customizable to suit your business needs

## What is Data Type?

The Data type is the structure of data fields that is customizable to suit your business needs. Data type attributes consist of IDs, name, field details, type, and primary key. This data type structure will be used at Data Source and Flow.

**To see the details of data type object, please follow [this link](/api-reference/objects/data-type-object)**

## Key Features

<CardGroup cols={2}>
  <Card title="Read data type" icon="list" href="/api-reference/data/data-type/read-data-type">
    GET /data-types
  </Card>

  <Card title="Read data type by ID" icon="list" href="/api-reference/data/data-type/read-data-type-by-id">
    GET /data-type/{dataTypeId}/
  </Card>

  <Card title="Create data type" icon="plus" href="/api-reference/data/data-type/create-data-type">
    POST /data-type
  </Card>

  <Card title="Update data type by ID" icon="pen" href="/api-reference/data/data-type/update-data-type-by-id">
    PUT /data-type/{dataTypeId}
  </Card>
</CardGroup>

## Related Resources

* [Data Type Object](/api-reference/objects/data-type-object) - Data Type data structure
